﻿.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.carrot-icon {
    margin-bottom: -5px;
    width: 15px;
}

body, html {
    height: 100%;
    width: 100%;
    color: #183D6D;
    margin: 0;
    background: linear-gradient(180deg, #E1F2FF 0%, #FFFFFF 100%) no-repeat;
}

body {
    overflow-x: hidden;
    font-family: Rubik, sans-serif;
}

.sidebar-contents {
    padding-top: 35px;
    padding-bottom: 10px;
    padding-left: 15px;
    padding-right: 15px;
}

.question-content {
    height: calc(100vh - 550px);
    overflow-y: scroll;
    margin-top: 45px;
    padding-right: 15px;
    /* firefox */
}


    /* Chrome, Edge, and Safari */
    .question-content::-webkit-scrollbar {
        width: 5px;
    }

    .question-content::-webkit-scrollbar-track {
        background: rgba(217, 217, 217,0.45);
        border-radius: 10px;
    }

    .question-content::-webkit-scrollbar-thumb {
        background-color: #ffffff;
        border-radius: 10px;
    }

.sidebar {
    margin: 0;
    width: 300px;
    border-top-right-radius: 14px;
    background-image: url(/images/Carrots-new.svg);
    background-repeat: no-repeat;
    background-position: center 100%;
    background-size: 90%;
    background-color: #022E57;
    position: fixed;
    color: #fff;
    height: 100%;
    overflow: auto;
}

    .sidebar a {
        display: block;
        color: #fff;
        font-size: 20px;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        padding: 16px;
        text-decoration: none;
    }




.logo-area > img {
    width: 150px;
    max-width: 100%
}

.logo-area {
    text-align: center
}

.question-area {
    color: white
}

    .question-area > a {
        border-bottom: 1px solid rgba(255, 255, 255, 0.5);
    }

.seen {
    color: rgba(255, 255, 255, 0.5) !important;
}


.done {
    color: rgba(255, 255, 255, 1) !important;
}

.question-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.actual-question {
    text-align: left !important;
    width: 100%
}

.option-result:before {
    content: '\f0c8';
    padding-right: 15px;
    display: inline;
    font-family: "FontAwesome";
    filter: drop-shadow(0 0 0.75rem rgba(0, 0, 0, 0.075));
    color: #FFA448;
}

.correct-selected:before {
    content: '\f14a';
    padding-right: 15px;
    display: inline;
    font-family: "FontAwesome";
    filter: drop-shadow(0 0 0.75rem rgba(0, 0, 0, 0.075));
    color: #FFF;
}

.wrong-selected:before {
    /* future: show x icon for wrong selected answer  content: '\f2d3';*/
    content: '\f14a';
    padding-right: 15px;
    display: inline;
    font-family: "FontAwesome";
    filter: drop-shadow(0 0 0.75rem rgba(0, 0, 0, 0.075));
    color: #FFF;
}

.correct-unselected:before {
    content: '\f0c8';
    padding-right: 15px;
    display: inline;
    font-family: "FontAwesome";
    filter: drop-shadow(0 0 0.75rem rgba(0, 0, 0, 0.075));
    color: #FFF;
}

.correct-unselected, .correct-selected {
    background: #40C67C !important;
    color: #FFF;
}

.wrong-selected {
    color: #FFF;
    background: #FF2A64 !important;
}


.option-result {
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 15px;
    filter: drop-shadow(0 0 0.75rem rgba(0, 0, 0, 0.075));
    margin-bottom: 20px;
    text-size-adjust: auto;
    /* font-size: 1.25vw; */
    font-size: 1.25rem;
    padding-bottom: 15px;
    border-radius: 8px;
    height: 100%;
    cursor: default;
    background: #fff;
    /*    border: 2px solid rgba(0, 0, 0, 0.1) !important;*/
    border: 2px solid transparent;
}

.option {
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 15px;
    filter: drop-shadow(0 0 0.75rem rgba(0, 0, 0, 0.075));
    margin-bottom: 20px;
    text-size-adjust: auto;
    /* font-size: 1.25vw; */
    font-size: 1.25rem;
    padding-bottom: 15px;
    border-radius: 8px;
    height: 100%;
    cursor: pointer;
    background: #fff;
    /*    border: 2px solid rgba(0, 0, 0, 0.1) !important;*/
    border: 2px solid transparent;
}

.option-select {
    padding-top: 15px;
    margin-bottom: 10px;
    text-size-adjust: auto;
    /* font-size: 1.25vw; */
    font-size: 1.25rem;
    /* max-width: calc(100% - 15px); */
    padding-bottom: 15px;
    word-break: break-word;
    height: 100%;
    max-width: 100%;
    /* width: max-content; */
    cursor: pointer;
}

}

.category-select {
    margin-top: 10px;
    margin-bottom: 20px;
}

.option-select:last-child {
    margin-bottom: 20px !important;
}

.option-select:before {
    content: '\f0c8';
    padding: 2px;
    color: #fff;
    font-family: "FontAwesome";
    filter: drop-shadow(0 0 0.75rem rgba(0, 0, 0, 0.075));
    display: inline-block;
    margin-right: 10px;
    border-radius: 6px;
    border: 1px solid #183d6d7a;
    font-size: 20px;
    width: 20px;
    height: 20px;
}

.active-select:before {
    content: '\f00c';
    padding: 2px;
    margin-right: 10px;
    font-family: "FontAwesome";
    filter: drop-shadow(0 0 0.75rem rgba(0, 0, 0, 0.075));
    font-size: 20px;
    color: #fff;
    background: #FFA448;
    text-align: center;
    width: 20px;
}

.active {
    border: 2px solid #FFA448;
    color: #FFA448;
    cursor: default;
}

.option:before {
    content: '\f0c8';
    padding-right: 10px;
    color: #eee;
    font-family: "FontAwesome";
    display: inline;
}

.active:before {
    content: '\f14a';
    padding-right: 10px;
    display: inline;
    font-family: "FontAwesome";
    color: #FFA448;
}

.actual-question > h2 {
    padding-top: 30px;
    font-weight: 400 !important
}

.badge-right {
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 10px;
    top: 0;
    right: 0;
    border-radius: 10px;
    margin-top: 20px;
    color: #fff;
    float: right;
    padding-bottom: 10px;
}

.badges {
    position: relative;
    top: -20px;
    margin-top: 25px;
    margin-bottom: 25px;
}

.badge {
    border-radius: 10px;
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 10px;
    top: 0;
    background: #FFA448;
    color: #fff;
    float: left;
    margin-top: 20px;
    padding-bottom: 10px;
}

.footer {
    margin-top: 100px;
    text-align: center;
    display: none;
}


.footer-content {
    padding-top: 35px;
    text-align: center;
    padding-bottom: 35px;
    color: #fff;

    padding-left: 15px;
    padding-right: 15px;
    word-wrap: break-word;

    background: #183D6D;
    width: inherit;
}

.footer-bunnies {
    margin-bottom: -4px;
    /*display: inline-block;*/
    display: none;
    width: 200px;
}

.learn-more {
    color: #183D6D;
}

    .learn-more:hover {
        color: #414f7b;
    }

.button-container {
    text-align: center;
    margin-top: 30px;
}

.button-custom {
    padding-left: 15px !important;
    padding-right: 15px !important;
    min-width: 120px;
    text-align: center;
}

.button-custom-2 {
    min-width: 150px;
}

.button-dark {
    background: linear-gradient(0deg, #03192E -137.4%, #223C6A 211.71%, #4A74A2 560.82%) !important
}

.select-area {
    margin-top: 10px;
}

    .select-area .button {
        margin-top: 10px;
    }

.button {
    display: inline-block;
    background: rgb(255,123,73);
    background: linear-gradient(90deg, rgba(255,123,73,1) 0%, rgba(255,167,72,1) 100%);
    border-radius: 8px;
    color: #fff;
    padding-left: 45px;
    font-size: 20px;
    padding-right: 45px;
    padding-top: 15px;
    padding-bottom: 15px;
    text-decoration: none;
}

.actual-question > h1 {
    margin-bottom: 30px;
}

.progress-container > h2 {
    text-align: right;
    background: linear-gradient(90deg, rgba(255,123,73,1) 0%, rgba(255,167,72,1) 100%);
    -webkit-background-clip: text;
    font-weight: 400;
    -webkit-text-fill-color: transparent;
}

.progress-container {
}


.error-message {
    margin-top: 35px;
    display: block;
    background: #FF2A64;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    font-family: 'Rubik';
    font-style: normal;
    font-weight: 400;
    font-size: 20px;
    text-fill-color: transparent;
}


    .error-message::before {
        content: '\f057';
        font-family: "FontAwesome";
        display: inline;
        padding-right: 15px;
        background: #FF2A64;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        background-clip: text;
    }

.progress {
    margin-top: 80px;
    display: flex;
    height: 0.5rem;
    overflow: hidden;
    font-size: .75rem;
    background-color: #eee;
    border-radius: 100px;
}

.progress-bar {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    color: #fff;
    text-align: center;
    background: linear-gradient(90deg, rgba(255,123,73,1) 0%, rgba(255,167,72,1) 100%);
    transition: width .6s ease;
}

.controls {
    padding-left: 0;
    margin-bottom: 100px;
    bottom: 0;
}

.v-none {
    visibility: hidden !important
}

@media (min-width: 1400px) {

    .container {
        max-width: 1140px !important;
    }
}



.custom-card-mobile {
    border-top-left-radius: 0px !important;
    border-top-right-radius: 0px !important;
    padding-bottom: 0px !important;
    margin-bottom: -5px !important;
}

.hide-mobile-inline {
    display: inline-block;
}

.suggestion {
    text-decoration: none;
    color: #FFA448;
    display: inline;
    margin-bottom: -6px;
}

.form-control {
    filter: drop-shadow(0 0 0.75rem rgba(0, 0, 0, 0.0));
    background: #FFFFFF;
    border-radius: 8px;
    padding: 15px 20px;
    display: block;
    border: 1px solid #eee;
    width: calc(100% - 40px);
    /* border: none; */
    color: #183D6D;
}

    .form-control:focus {
        outline: none;
    }

.text-left {
    text-align: left
}

.suggestion:hover {
    text-decoration: underline;
}

.info-alert::before {
    font-family: "FontAwesome";
    content: '\f06a' !important;
    background: #fff;
    padding-right: 10px;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}

.severe-warning {
    background: #FF2A64;
    padding-top: 20px;
    padding-bottom: 20px;
    border-radius: 10px;
    color: #fff;
    margin-top: 40px;
    padding-left: 15px;
    padding-right: 15px;
}

p {
    font-size: 1.3em;
    line-height: 1.3;
}

.suggest {
    display: block;
}

.button-results {
    display: block;
    text-align: center;
    margin-bottom: 15px;
}

div.content {
    margin-left: 300px;
    padding: 50px;
    min-height: calc(100vh - 100px);
}

.error-not-enough-categories {
    margin-top: 0;
    margin-bottom: 0;
}


.img-fluid {
    max-width: 100%;
}

@media (max-width: 1399.98px) {
    .hide-on-mobile {
        display: none !important;
    }

    .button {
        margin-bottom: 10px;
        display: block;
    }

    .bunny-img-results {
        width: 330px;
    }

    .img-bunny-select {
        /* max-width: 420px !important;
        bottom: 0;
        margin-bottom: -150px;*/
    }

    .controls {
        position: static !important;
        padding-left: 0;
        margin-bottom: 0px;
    }

    .hide-mobile-inline {
        display: none;
    }
}

.button-card {
    margin-bottom: 0px;
}

.mobile-credits-image {
    max-width: 100%;
    padding-top: 40px;
    padding-bottom: 40px;
}

.hide-mobile {
    display: block;
}

.mobile-quit {
    margin-top: 50px;
    display: none;
}

@media (max-width: 1199.98px) {
    .hide-mobile {
        display: none !important;
    }

    .img-bunny-select {
        /* max-width: 350px !important;
        bottom: 0;
        margin-bottom: -100px;*/
    }

    .bunny-cont-select {
        padding-left: 0px;
    }

    .badge {
        float: left;
    }

    .badge-right {
        display: none;
    }

    .mobile-quit {
        display: block;
    }

    .social-icon-cont {
        display: block !important;
        margin-top: 10px;
    }

    .social-icon:first-child {
        margin-left: 0 !important
    }
}

.mobile-score {
    display: none;
}

@media (max-width: 991.98px) {
    
    .sidebar-contents {
        padding-top: 15px !important;
    }

    .final-score {
        font-size: 5.5rem !important;
    }

    .result-box {
        text-align: center;
    }

    .result-card-content {
        border-top-right-radius: 0px;
        border-top-left-radius: 0px;
    }

    .hide-mobile {
        display: none
    }

    .mobile-score {
        display: block;
        text-align: center;
    }

    .social-icon {
        display: inline;
    }

    .footer {
        display: block !important
    }

    .question-content {
        margin-top: 0;
        overflow-y: hidden;
        height: auto;
        margin-bottom: 5px;
    }


    .logo-area {
        text-align: left;
    }

    .img-bunny-select {
        display: none !important
    }

    .sidebar {
        border-top-right-radius: 0px;
        width: 100%;
        padding-top: 5px;
        padding-bottom: 5px;
        height: auto;
        background-image: none;
        position: relative;
    }

    .question-content {
        margin-top: 15px;
        margin-bottom: 5px;
        width: 100%;
    }

    .question-area {
        -ms-overflow-style: none;
        scrollbar-width: none;
        overflow-y: hidden;
        width: 100%;
        display: flex;
        border-radius: 8px;
        margin-bottom: 0px;
        background: #00213f;
        flex-wrap: nowrap;
    }

        .question-area > a {
            border-bottom: none;
            overflow: initial;
            display: inline
        }

    .option {
        border: 2px solid rgba(0, 0, 0, 0.1) !important;
    }

    .active {
        border: 2px solid #FFA448 !important;
    }

    .sidebar a {
        float: left;
    }

    div.content {
        margin-left: 0;
        padding-left: 0;
        padding-right: 0;
        margin-bottom: 100px;
    }

    .img-bunny {
        max-width: 35% !important;
    }

    .select-quiz {
        margin-top: 40px;
    }

    .card-header {
        height: 150px;
    }

    .card {
        margin-bottom: 170px;
    }

    .welcome-area {
        margin-bottom: 120px !important;
    }

    .no-mobile-bottom {
        margin-bottom: 0px;
    }
    .social-icon:first-child {
        margin-left: 0 !important
    }

    .result-card-content {
        text-align: center;
    }
}


@media (max-width: 575.98px) {


    .select-area > h1 {
        margin-top: initial;
    }

    .img-bunny {
        max-width: 55% !important;
    }
    .no-mobile-bottom {
        margin-bottom: 0px;
    }
    .error-not-enough-categories {
        margin-top: 20px;
        margin-bottom: 20px;
    }

    .result-card-content {
        text-align: center;
    }

    .social-icon-cont {
        display: block !important;
        margin-top: 20px;
    }

    .social-icon:first-child {
        margin-left: 0 !important
    }
}

.img-bunny {
    max-width: 55%;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.img-bunny-select {
    height: 100vh;
    float: left;
    display: block;
}

.select-cont {
    justify-content: center;
    align-items: center;
    display: flex;
}

.bunny-cont-select {
    padding-left: 50px;
    bottom: 0;
    position: absolute;
}

.row.display-flex {
    display: flex;
    flex-wrap: wrap;
}

    .row.display-flex > [class*='col-'] {
        display: flex;
        flex-direction: column;
    }

.welcome-area {
    text-align: center;
    margin-bottom: 80px;
}

.claim-area {
    text-align: left;
    margin-bottom: 20px;
    ;
}

.select-area {
    text-align: left
}


    .select-area > h1 {
        margin-top: 0;
    }

.select-quiz {
    margin-top: 0px;
    margin-bottom: 65px;
    text-align: center;
}

.card {
    filter: drop-shadow(0 0 0.75rem rgba(0, 0, 0, 0.075));
    background: linear-gradient(0deg, #03192E -137.4%, #223C6A 211.71%, #4A74A2 560.82%);
    border-radius: 11px;
    height: 100%;
}

.card-header {
    background: #fff;
    position: relative;
    height: 170px;
    border-radius: 10px 10px 0px 0px;
}

.bunny-cont {
    bottom: 0;
    position: absolute;
    width: 100%
}



.card-body {
    color: #fff;
    border-radius: 0px 0px 10px 10px;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 35px;
    padding-top: 10px;
}



.result-subheader {
    padding-top: 0 !important;
    padding-bottom: 30px !important;
}

.result-header {
    margin-top: 0px;
    word-break: break-word;
    font-size: 2.5rem;
    margin-bottom: 0 !important;
}

.result-card {
    filter: drop-shadow(0 0 0.75rem rgba(0, 0, 0, 0.075));
    border-radius: 15px
}

.v-center {
    align-items: center;
    display: flex;
    justify-content: center;
}

.result-card-header {
    text-align: center;
    padding-left: 35px;
    padding-right: 35px;
    padding-top: 60px;
    padding-bottom: 60px;
    border-radius: 15px 15px 0px 0px;
    background: #fff;
}

.social-icon-cont {
    display: inline;
}

.result-card-content {
    padding-left: 35px;
    padding-right: 35px;
    padding-top: 25px;
    padding-bottom: 25px;
    border-radius: 0px 0px 15px 15px;
    background: #B0E4FF;
    color: #183D6D;
}

.final-score {
    font-weight: 800;
    font-size: 9rem;
    margin-top: 0;
    margin-bottom: 0;
}

.result-box {
}

.bunny-cont-results {
    width: inherit;
    margin-bottom: -60px;
    right: 75px;
    bottom: 0;
    position: absolute;
}

.results-col {
    position: relative;
}

.bunny-img-results {
    width: 415px;
    margin-left: auto;
    padding-right: 70px;
    display: block;
}

.circular-progress {
    width: 100%;
    aspect-ratio: 1/1;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    filter: drop-shadow(0 0 0.75rem rgba(0, 0, 0, 0.075));
    background: radial-gradient(closest-side, white 73%, transparent 0 77%, transparent 0), conic-gradient(var(--bg) calc(var(--value) * 1%), #EEE 0);
    font-size: 1rem;
    color: #183D6D;
}

.social-icon {
    display: inline-block;
    text-align: center;
    padding: 4.5px;
    height: 20px;
    margin-left: 5px;
    width: 20px;
    color: #183D6D;
    background: #FFF;
    border-radius: 100px;
}

    .social-icon:first-child {
        margin-left: 35px;
    }

.circular-progress::before {
    counter-reset: percentage var(--value);
    content: counter(percentage) '%';
    font-size: 1.5rem;
    font-weight: 800;
}
